VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::techpreview::localaccounts::UserDefinitions Class Reference

Defines the type descriptors for the User API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | userConfigGet
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | userConfig
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | newUserConfig
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deleteOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | add_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | add_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | set_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | set_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output

## Detailed Description

Defines the type descriptors for the User API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::add_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("config", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.localaccounts.UserDefinitions.newUserConfig.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::localaccounts::UserDefinitions::add_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::deleteInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::localaccounts::UserDefinitions::deleteOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::localaccounts::UserDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.localaccounts.UserDefinitions.userConfigGet.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::localaccounts::UserDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.localaccounts.UserDefinitions.userConfigGet.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::newUserConfig`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("role", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserRole))));
                    fields.Add("password", new vmware.vapi.bindings.type.SecretType());
                    fields.Add("fullname", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("email", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.localaccounts.user.new_user_config", fields, typeof(vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::set_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("config", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.localaccounts.UserDefinitions.userConfig.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::localaccounts::UserDefinitions::set_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::userConfig`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("role", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserRole)));
                    fields.Add("fullname", new vmware.vapi.bindings.type.StringType());
                    fields.Add("status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserAccountStatus)));
                    fields.Add("email", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.localaccounts.user.user_config", fields, typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::localaccounts::UserDefinitions::userConfigGet`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("role", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserRole)));
                    fields.Add("fullname", new vmware.vapi.bindings.type.StringType());
                    fields.Add("status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserAccountStatus)));
                    fields.Add("passwordstatus", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserPasswordStatus)));
                    fields.Add("email", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.localaccounts.user.user_config_get", fields, typeof(vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet), validators, false, null);
                })

The documentation for this class was generated from the following file:

- UserDefinitions.cs